package org.ow2.orchestra.env.binding;

import org.jbpm.pvm.internal.util.TagBinding;
import org.jbpm.pvm.internal.util.XmlUtil;
import org.jbpm.pvm.internal.wire.descriptor.ObjectDescriptor;
import org.jbpm.pvm.internal.wire.xml.WireParser;
import org.jbpm.pvm.internal.xml.Parse;
import org.jbpm.pvm.internal.xml.Parser;
import org.w3c.dom.Element;

public class ImplementationBinding extends TagBinding {

  
  public ImplementationBinding(String tagName) {
    super(tagName, null, WireParser.CATEGORY_DESCRIPTOR);
  }
  
  public Object parse(Element element, Parse parse, Parser parser) {
    ObjectDescriptor descriptor = new ObjectDescriptor();
    if (!element.hasAttribute("class")) {
      parse.addProblem("element '" + XmlUtil.getTagLocalName(element)
          + " must have a 'class' attribute");
    }
    String type = element.getAttribute("class");
    descriptor.setClassName(type);
    return descriptor;
  }

}
